Subject: Re: [PATCH 2/2] add csharp userdiff tests

From: Johannes Sixt <[email-masked]>
Date: Sun, 27 Apr 2014 22:12:44 +0200

Am 27.04.2014 18:46, schrieb Marius Ungureanu:
> Is it okay though if I add a few tests to show what is broken?
> 
> I think this can’t be solved at a regex level.

It's OK to add tests that show breakages even if there is no immediate
solution.

>> You can mark a userdiff test case that demonstrates a breakage by
>> including the work "broken" somewhere in the file. See
>> http://www.repo.or.cz/w/alt-git.git/commitdiff/9cc444f0570b196f1c51664ce2de1d8e1dee6046

You add tests including broken cases first, and then in the follow-up
patch that fixes the broken ones, you also mark the tests as fixed, like
I did in the follow-up patch of the above example:
http://www.repo.or.cz/w/alt-git.git/commitdiff/8a2e8da367f7175465118510b474ad365161d6b1

-- Hannes